petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexMatSetClosure

Set an array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMatSetClosure(DM dm, PetscSection section, PetscSection globalSection, Mat A, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective Many br

### Input Parameters

| dm | - The DM Many br
| section | - The section describing the layout in v, or NULL to use the default section Many br
| globalSection | - The section describing the layout in v, or NULL to use the default global section Many br
| A | - The matrix Many br
| point | - The sieve point in the DM Many br
| values | - The array of values Many br
| mode | - The insert mode, where INSERT_ALL_VALUES and ADD_ALL_VALUES also overwrite boundary conditions Many br

### Fortran Notes

This routine is only available in Fortran 90, and you must include petsc.h90 in your code. Many br

Many br

### See Also

DMPlexVecGetClosure(), DMPlexVecSetClosure()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages